VERSION 5.00
Begin VB.Form frmSelectVideoConfFile 
   BorderStyle     =   1  'Œ()
   Caption         =   "Selection Of The Video Configuration"
   ClientHeight    =   5010
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   8070
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5010
   ScaleWidth      =   8070
   StartUpPosition =   2  'ʂ̒
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   5880
      TabIndex        =   3
      Top             =   4560
      Width           =   2055
   End
   Begin VB.FileListBox filConfFile 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   3015
      Left            =   4080
      TabIndex        =   2
      Top             =   1320
      Width           =   3855
   End
   Begin VB.DirListBox dirConfFile 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   3240
      Left            =   120
      TabIndex        =   1
      Top             =   1320
      Width           =   3855
   End
   Begin VB.DriveListBox drvConfFile 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   315
      Left            =   120
      TabIndex        =   0
      Top             =   960
      Width           =   3855
   End
   Begin VB.Label Label2 
      Caption         =   "(The Aval Data capture card cannot be used.)"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   240
      TabIndex        =   5
      Top             =   480
      Width           =   4575
   End
   Begin VB.Label Label1 
      Caption         =   "Please select the video configuration file - RICE/FVC01/FVC02/FV1100."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   240
      TabIndex        =   4
      Top             =   120
      Width           =   6015
   End
End
Attribute VB_Name = "frmSelectVideoConfFile"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' *****************************************************************
' *                                                               *
' *       Copyright (c) Fast Corporation, 2002                    *
' *                                                               *
' *   All Rights Reserved.  Unpublished rights  reserved  under   *
' *   the copyright laws of the Japan.                            *
' *                                                               *
' *   The software contained on this media  is  proprietary  to   *
' *   and  embodies  the  confidential  technology  of  Fast      *
' *   Corporation.  Possession, use,  duplication  or             *
' *   dissemination of the software and media is authorized only  *
' *   pursuant to a valid written license from Fast Corporation.  *
' *                                                               *
' *****************************************************************
'
' -------------------------------------------------------------------
' FVX Sample Program
' Video setting file selection dialog
'
' Maker : K.Kotajima
'
' History : 2002/06/26 First edition
' -------------------------------------------------------------------

Option Explicit

'Video setting file name (full path)
Private m_strVideoConfFilePath As String

Public Property Let strVideoConfFilePath(ByVal strNewVal As String)
    m_strVideoConfFilePath = strNewVal
End Property

Public Property Get strVideoConfFilePath() As String
    strVideoConfFilePath = m_strVideoConfFilePath
End Property

Private Sub Form_Load()

    'When the installation path of a standard video setting file exists, the folder is changed into a selection state.
    If Dir("c:\FAST_FVX\Video_IniFiles\", vbDirectory) <> "" Then
        drvConfFile.Drive = "c:\"
        dirConfFile.Path = "c:\FAST_FVX\Video_IniFiles"
    End If
    
    'Only the file of extension"ini" of a video setting file is displayed.
    filConfFile.Pattern = "*.ini"
    
End Sub

Private Sub dirConfFile_Change()
    filConfFile.Path = dirConfFile.Path
End Sub

Private Sub drvConfFile_Change()
    On Error GoTo drvConfFile_Change_Exit
    
    'Since a volume label also returns a Drive property, this is deleted.
    dirConfFile.Path = Left$(drvConfFile.Drive, 1) & ":\"
    
    Exit Sub
    
drvConfFile_Change_Exit:
    MsgBox Err.Number & " : " & Err.Description, vbExclamation, "Error"
    drvConfFile.Drive = Left$(dirConfFile.Path, 1)
End Sub

Private Sub cmdOK_Click()

    Dim strBuff As String
        
    If filConfFile.ListIndex = -1 Then
        
        'When the video setting file is not chosen, it takes out an error with a file list box.
        MsgBox "The video setting file is not chosen.", vbExclamation, "Error"
        Exit Sub
    
    Else
        
        'The full path name of the selected file is acquired.
        strBuff = filConfFile.Path
        If Right$(strBuff, 1) <> "\" Then strBuff = strBuff & "\"
        strBuff = strBuff & filConfFile.FileName
        
        m_strVideoConfFilePath = strBuff
    End If
    
    Unload Me
    
End Sub

